org.wildfly.swarm.config.messaging.activemq

## Enum FactoryType

- java.lang.Object
- - java.lang.Enum<FactoryType>
  - - org.wildfly.swarm.config.messaging.activemq.FactoryType

- All Implemented Interfaces:
    Serializable, Comparable<FactoryType>

      public enum FactoryType
      extends Enum<FactoryType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERIC`
    `QUEUE`
    `TOPIC`
    `XA_GENERIC`
    `XA_QUEUE`
    `XA_TOPIC`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static FactoryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FactoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERIC

          public static final FactoryType GENERIC

    - #### TOPIC

          public static final FactoryType TOPIC

    - #### QUEUE

          public static final FactoryType QUEUE

    - #### XA_GENERIC

          public static final FactoryType XA_GENERIC

    - #### XA_QUEUE

          public static final FactoryType XA_QUEUE

    - #### XA_TOPIC

          public static final FactoryType XA_TOPIC

  - ### Method Detail

    - #### values

          public static FactoryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FactoryType c : FactoryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FactoryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FactoryType>`

Copyright © 2017 JBoss by Red Hat. All rights reserved.